// ie0, ie11 css-hack
var ua = navigator.userAgent,
  doc = document.documentElement;

if ((ua.match(/MSIE 10.0/i))) {
doc.className = doc.className + " ie10";

} else if((ua.match(/rv:11.0/i))){
doc.className = doc.className + " ie11";
}

$(document).ready(function() {

	toggleZipcdTab(0);
	toggleZipcdTaba(0);//181119추가
	allMenuEvent();
	allMenuListEvent();
	
	//터치 이벤트
	$('.topGroup *, .mainMenu a, .allMenuCont .list a, button, .btnMd, .btnSm, .btnSm02, .btnXSm').bind('touchstart touchend',function() {
		$(this).toggleClass('touchEffect');
	});
	
	// 우편번호 검색 탭 클릭 이벤트
	$('#tabZipcd li a').click(function () {
		var idx = $(this).parent().index();
		toggleZipcdTab(idx);
	});
	// 카드선택 클릭 이벤트 190517
	$('#cardboxs li a').click(function () {
		var idx = $(this).parent().index();
		togglecardbox(idx);
	});
	// 우편번호 검색 탭 클릭 이벤트 //181119추가
	$('#tabZipcda li a').click(function () {
		var idx = $(this).parent().index();
		toggleZipcdTaba(idx);
	});

	// 툴팁 토글
	$('.btnHelp').click(function() {
		// 전체 툴팁 숨김
		if ($('.btnHelp').hasClass('active')) {
			$('.btnHelp').removeClass('active');
			$('.tooltip').removeClass('active');
			$('.tooltipCont').hide();
		}

		if ($(this).hasClass('active')) {
			$(this).removeClass('active');
			$(this).next('.tooltip').removeClass('active');
			$(this).next('.tooltip').find('.tooltipCont').hide();
		} else {
			$(this).addClass('active');
			$(this).next('.tooltip').addClass('active');
			$(this).next('.tooltip').find('.tooltipCont').show();
		}
	});

	// 툴팁 닫기 버튼 클릭 이벤트
	$('.btnHelpClose').click(function() {
		var tooltip = $(this).parent().parent();
		if (tooltip.hasClass('active')) {
			tooltip.removeClass('active');
			tooltip.prev('.btnHelp').removeClass('active');
			$(this).parent().hide();
		} else {
			tooltip.addClass('active');
			tooltip.next('.tooltip').addClass('active');
			$(this).parent().show();
		}
	});

	// 보안 키패드 버튼 클릭 이벤트
	$('.btnMouse').click(function() {
		var $this = $(this)
		if ($(this).hasClass('active')) {
			$(this).removeClass('active');
		} else {
			$(this).addClass('active');
		}
	});
	// 청약 2단계 질의응답 확인
	// $('ul.boardQnA li div').click(function() {
	// 	if ($(this).parent().hasClass('active')) {
	// 		$(this).parent().removeClass('active');
	// 	} else {
	// 		$(this).parent().addClass('active');
	// 	}
	// });

	var $boxinput = $('.inBox input'); //인풋 활성화 이벤트
	var $boxselect = $('.inBox select');
	var $boxTextarea = $('.textareaBox textarea');

	$boxinput.each(function(){
		var $this = $(this);
		var $box = $this.parents('.inBox');
		$this.on('focusin', function(){
			$box.addClass('boxFocus');
		});
		$this.on('focusout', function(){
			$box.removeClass('boxFocus');
		});
	});

	$boxselect.each(function(){
		var $this = $(this);
		var $box = $this.parents('.inBox');
		$this.on('focusin', function(){
			$box.addClass('boxFocus');
		});
		$this.on('focusout', function(){
			$box.removeClass('boxFocus');
		});
	});

	$boxTextarea.each(function(){
		var $this = $(this);
		var $box = $this.parents('.textareaBox');
		$this.on('focusin', function(){
			$box.addClass('boxFocus');
		});
		$this.on('focusout', function(){
			$box.removeClass('boxFocus');
		});
	});


	//Top 버튼
	$("#btnGoTop").hide();

	$(function () {
	    $(window).scroll(function () {
	        if ($(this).scrollTop() > 100) {
	            $('#btnGoTop').fadeIn();
	        } else {
	            $('#btnGoTop').fadeOut();
	            $('#btnGoTop').removeClass('hover');
	        }
	    });

	    $('#btnGoTop').on("click",function () {
			
	    	$(this).addClass('hover');
	    	
			$('body,html').animate({
			   scrollTop: 0  //탑 설정 클수록 덜 올라간다
			},400);  // 탑 이동 스크롤 속도를 조절할 수 있다.
			return false;

	    });
	});

	//toggleCont
	$(".toggleCont > ul > li dt").on("click", function(){
		// 초기화
		$(".toggleCont > ul > li dt button").text("열기");
		$(this).parent().siblings().removeClass('on');

		if( $(this).parents("li").hasClass("on")== false){
			$(this).parents("li").addClass("on");
			$(this).children("button").text('닫기');
		} else {
			$(this).parents("li").removeClass("on");
			$(this).children("button").text('열기');
		};
	});
	
	//toggleContvar
	$(".toggleContvar > ul > li dt").on("click", function(){
		// 초기화
		$(".toggleContvar > ul > li dt button").text("열기");
		$(this).parent().siblings().removeClass('on');

		if( $(this).parents("li").hasClass("on")== false){
			$(this).parents("li").addClass("on");
			$(this).children("button").text('닫기');
		} else {
			$(this).parents("li").removeClass("on");
			$(this).children("button").text('열기');
		};
	});



});
// function allMenuEvent() {
// 	$('#nav .boxMenu').hide();
// 	$("#nav .boxMenu").css({"right": "0"});

// 	// 전체메뉴 열기 버튼 클릭 이벤트
// 	$(".btnAllMenu").click(function() {
// 		$("#nav .boxMenu").show();
// 		$("#nav .boxMenu").children(".allMenu").animate({'width':'100%'},400);
// 		$("#wrap").css("overflow","hidden");
// 		$("html, body").css({"overflow": "hidden"});

// 		// 첫번째 메뉴 열기
// 		$(".allMenuCont .list li").eq(0).addClass("active");
// 	});

// 	// 전체메뉴 닫기 버튼 클릭 이벤트
// 	$('.btnAllClose').click(function() {
// 		$("#nav .boxMenu").children(".allMenu").animate({'width':'0'},400);
// 		$('#nav .boxMenu').hide();
// 		$("#wrap").css("overflow","auto");
// 		$("html, body").css({"overflow": "auto"});
// 	});
// }

function allMenuEvent() {
	//첫번째 메뉴 열기

  // 전체 메뉴 클릭 시 LNB 펼치기
  $('button[class=btnAllMenu]').click(function() {
    $('#nav .boxMenu').css('display','block');
    $('#nav .boxMenu').find('.allMenu').stop(true, true).animate({width : '100%', right : '0'}, 400, 'easeInOutExpo');
    $('html, body, #wrap').addClass('overNo');// 부모창 scroll lock

	//첫번째 메뉴 열기
	$(".allMenuCont .list li").eq(0).addClass("active");
  });

  // 닫기 버튼 클릭시 LNB 접기
  $('button[class=btnAllClose]').click(function() {
    	$('#nav .boxMenu').find('.allMenu').animate({right : '-250px'}, 400, 'easeOutExpo', function() {
		$('#nav .boxMenu').hide();
		$('html, body, #wrap').removeClass('overNo');
		$(".allMenuCont .list li").removeClass("active");
   	});
  });
}



//전체메뉴
function allMenuListEvent() {
	$(".allMenuCont ul.list > li strong").on('click', function(){
		if ($(this).next().size() == 0) {
			var href = $(this).find('a').attr('href');
			location.href= href;
			
		} else {
			// 초기화
			$(".allMenuCont ul.list > li strong button").text('열기');
			$(this).parent().siblings().removeClass('active');
			
			if( $(this).parent().hasClass('active')){
				$(this).parent().removeClass('active');
				$(this).children('button').text('열기');
			} else {
				$(this).parent().addClass('active');
				$(this).children('button').text('닫기');
			}
			return false;
		}
	});
}
// 우편번호 탭
function toggleZipcdTab(idx) {
	$('.tabCont').hide();
	$('.tabCont').eq(idx).show();
	$('#tabZipcd li').removeClass('active');
	$('#tabZipcd li').eq(idx).addClass('active');
}
//카드선택 190517
function togglecardbox(idx) {
	$('#cardboxs li').removeClass('active');
	$('#cardboxs li').eq(idx).addClass('active');
}
	
// 우편번호 탭 //181119추가
function toggleZipcdTaba(idx) {
	$('.tabConta').hide();
	$('.tabConta').eq(idx).show();
	$('#tabZipcda li').removeClass('active');
	$('#tabZipcda li').eq(idx).addClass('active');
}



// 팝업 호출
function layer_open(el){

   var temp = $('#' + el);   //레이어의 id를 temp변수에 저장
   var back = temp.prev().hasClass('back');  //dimmed 레이어를 감지하기 위한 boolean 변수


   $('.layerWrap').hide();
   temp.parent('.layerWrap').show();
   temp.show();

	$("html, body,#innerWrap").addClass("overNo");
	$("#innerWrap").off("touchmove").on("touchmove", function(e) {

		e.preventDefault();
	});
	
	if ( temp.hasClass('popStyle02') ){
		temp.parent('.layerWrap').css('z-index', '901');
		$('.popup').css('display', 'fixed').css('height', temp.find('.popCont').height() + 68).css('top', ($(window).height() / 2) - (temp.find('.popCont').height() / 2) - 26.5);
	} else if ( temp.hasClass('popStyle03') ){
		temp.parent('.layerWrap').css('z-index', '901');
		$('.popup').css('height', temp.find('.popCont').height() + 30).css('top', ($(window).height() / 2) - (temp.find('.popCont').height() / 2) - 15);
	} else {
		$('.popup').css('height', $(window).height() );
		var top = 0;
		temp.find('.popup').css({top:top});
	}
	temp.find('.close, .btnClose').click(function(){
		if(back){
			$('.layerWrap').hide();
			$("html, body, #innerWrap").removeClass("overNo");
			$("#innerWrap").off("touchmove").css("overflow","auto");
		}else{
			$('.layerWrap').hide();
			temp.hide();   //'닫기'버튼을 클릭하면 레이어가 사라진다.
			$("html, body,#innerWrap").removeClass("overNo");
			$("#innerWrap").off("touchmove");
		}
		return false;
	});

   $('.layerWrap .back').click(function(){
		$('.layerWrap').hide();
		$("html, body,#innerWrap").removeClass("overNo");
		$("#innerWrap").off("touchmove");
		return false;
	});

};
